# QbiPy

Software tools from the [Quantitative Biomedical Imaging (QBI) Laboratory](http://qbi-lab.org/) at the University of Manchester, primarily for DCE-MRI analysis, with some general image IO support.

Package source code is available at our public [GitLab project](https://gitlab.com/manchester_qbi/manchester_qbi_public/QbiPy). Alternatively, the package can be installed from PyPi via pip:
> pip install QbiPy.

Auto-generated documentation is available [here](https://manchester_qbi.gitlab.io/manchester_qbi_public/QbiPy/).

See the [wiki](https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_python/-/wikis/home) for more descriptive documentation and details of how to get started.

## Semantic versioning
QbiPy uses semantic versioning, following the major, minor, patch naming convention defined by [https://semver.org/](https://semver.org/). The version number is incremented automatically by GitLab's CI/CD pipeline on commits/merges to the master branch thanks to the clever folks at [![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release).
